EventTriggerBinding (Groovy 3.0.9)

Package org.codehaus.groovy.binding

## Class EventTriggerBinding

- java.lang.Object
- - org.codehaus.groovy.binding.EventTriggerBinding

- All Implemented Interfaces:
    `TriggerBinding`

      @Deprecated
      public class EventTriggerBinding
      extends Object
      implements TriggerBinding

  Deprecated.
  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventTriggerBinding​(Object triggerBean, String eventName)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FullBinding` | `createBinding​(SourceBinding sourceBinding, TargetBinding targetBinding)` | Deprecated.
    `String` | `getEventName()` | Deprecated.
    `Object` | `getTriggerBean()` | Deprecated.
    `void` | `setEventName​(String eventName)` | Deprecated.
    `void` | `setTriggerBean​(Object triggerBean)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventTriggerBinding

          public EventTriggerBinding​(Object triggerBean,
                                     String eventName)

      Deprecated.

  - ### Method Detail

    - #### createBinding

          public FullBinding createBinding​(SourceBinding sourceBinding,
                                           TargetBinding targetBinding)

      Deprecated.
      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getTriggerBean

          public Object getTriggerBean()

      Deprecated.

    - #### setTriggerBean

          public void setTriggerBean​(Object triggerBean)

      Deprecated.

    - #### getEventName

          public String getEventName()

      Deprecated.

    - #### setEventName

          public void setEventName​(String eventName)

      Deprecated.